# interface IModule

#### package lime.app

#### implemented by Module, Stage

Available on all platforms

### Methods

###

`addRenderer (renderer:Renderer):Void`

###

`addWindow (window:Window):Void`

###

`registerModule (application:Application):Void`

###

`removeRenderer (renderer:Renderer):Void`

###

`removeWindow (window:Window):Void`

###

`setPreloader (preloader:Preloader):Void`

###

`unregisterModule (application:Application):Void`